// =============================================================================
// AntiCheatEngine BETA 0.8 - (c) 2009-2010 AnthraX
// =============================================================================
// ACE End User License agreement. Spawned into entrylevel and displayed by
// NPLoader. Needs to be accepted before ACE is installed.
// Can be queried through the Engine.Actor.GetItemName function
// =============================================================================
class ACEEULA extends Actor
    config(User);

// =============================================================================
// Variables
// =============================================================================
var string LicenseChunks[100];
var int NumChunks;

// =============================================================================
// Config variables
// =============================================================================
var config bool bLicenseAccepted;

// =============================================================================
// PostBeginPlay ~ Set up license chunks here
// =============================================================================
function PostBeginPlay()
{
    AddLine("AntiCheatEngine BETA 0.8 - End User License Agreement");
    AddLine("=====================================================");
    AddLine("");
    AddLine("By installing ACE, the player accepts that ACE:");
    AddLine("* may monitor the computer's RAM to look for mods, libraries or programs that enable or facilitate cheating;");
    AddLine("* may generate checksums for the game's core files and certain system libraries;");
    AddLine("* may generate and submit screenshots;");
    AddLine("* may submit non-personal system information to the gameserver;");
    AddLine("* may store certain ACE specific settings in User.ini;");
    AddLine("* may install minor updates of the ACE module without prompting the user;");
    AddLine("* will NOT analyze, alter or submit any personal information;");
    AddLine("* will NOT open or read files that are not directly related to the game;");
    AddLine("* will NOT run after the game has been shut down;");
    AddLine("* will NOT run while playing on servers without ACE;");
    AddLine("* will NOT modify, delete or rename any files or settings (besides the ACE specific settings in User.ini);");
    AddLine("* will NOT install major updates of the ACE module without prompting the user;");
    AddLine("* will ALWAYS notify the user if the terms of this agreement change;");
    AddLine("* will ALWAYS prompt the user when installing a major update.");
}

// =============================================================================
// AddLine
// =============================================================================
function AddLine(string Line)
{
    LicenseChunks[NumChunks++] = Line;
}

// =============================================================================
// GetItemName
// =============================================================================
function string GetItemName(string Str)
{
    local string result;
    local int Arg;

    Str = CAPS(Str);

    if (InStr(Str, " ") != -1)
    {
        Arg = int(Mid(Str, InStr(Str, " ")+1));
        Str = Left(Str, InStr(Str, " "));
    }

    switch(Str)
    {
        case "ISACCEPTED":
            if (bLicenseAccepted)
                result = "TRUE";
            else
                result = "FALSE";
            break;

        case "ACCEPT":
            bLicenseAccepted = true;
            SaveConfig();
            break;

        case "GETNUMCHUNKS":
            result = "" $ NumChunks;
            break;

        case "GETCHUNK":
            if (Arg < NumChunks && Arg >= 0)
                result = LicenseChunks[Arg];
            break;
    }

    return result;
}

defaultproperties
{
     bLicenseAccepted=True
}
